### Method

# RB Shell add_widget

#### Declaration [src]

    void
    rb_shell_add_widget (
      RBShell* shell,
      GtkWidget* widget,
      RBShellUILocation location,
      gboolean expand,
      gboolean fill
    )

#### Description [src]

Adds a widget to the main Rhythmbox window. See #gtk_box_pack_start for details on how the expand and fill parameters work.

#### Parameters

`widget`

  Type: `GtkWidget`

  The `GtkWidget` to insert into the main window.

  The data is owned by the caller of the method.

`location`

  Type: `RBShellUILocation`

  The location at which to insert the widget.

`expand`

  Type: `gboolean`

  Whether the widget should be given extra space.

`fill`

  Type: `gboolean`

  Whether the widget should fill all space allocated to it.